# OSGeo::FDO::Connections::IConnectionImp Class Reference
[OSGeo::FDO::Connections]

Inheritance diagram for OSGeo::FDO::Connections::IConnectionImp:

[legend]

List of all members.

## Detailed Description

The IConnection interface enables a feature provider to implement a connection class, which represents a unique session with a data store.

()

## Public Member Functions
OSGeo::FDO::Connections::ITransaction * | BeginTransaction ()
| Begins a transaction and returns an object that realizes ITransaction.
System::Void | Close ()
| Closes the connection to the DataStore.
OSGeo::FDO::Commands::ICommand * | CreateCommand (OSGeo::FDO::Commands::CommandType commandType)
| Creates and returns the specified type of command object associated with the connection.
OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | CreateSchemaMapping ()
| Factory function that creates an empty Schema Override set specific to this FDO Provider.
System::Void | Flush ()
| Forces the writes of any cached data to the targed datastore.
__property OSGeo::FDO::Connections::Capabilities::ICommandCapabilities * | get_CommandCapabilities ()
| Gets an ICommandCapabilities interface describing the commands a provider supports.
__property OSGeo::FDO::Connections::Capabilities::IConnectionCapabilities * | get_ConnectionCapabilities ()
| Gets an IConnectionCapabilities interface describing the capabilities of the connection.
__property OSGeo::FDO::Connections::IConnectionInfo * | get_ConnectionInfo ()
| Gets an IConnectionInfo interface that can be used to interrogate and set connection properties.
__property OSGeo::FDO::Connections::ConnectionState | get_ConnectionState ()
| Gets the current state of the connection.
__property System::String * | get_ConnectionString ()
| Gets the connection string used to open a DataStore.
__property System::Int32 | get_ConnectionTimeout ()
| Gets the number of milliseconds to wait while trying to establish a connection before terminating the attempt and generating an error. If the provider does not support the timeout capability 0 will be returned.
__property OSGeo::FDO::Connections::Capabilities::IExpressionCapabilities * | get_ExpressionCapabilities ()
| Gets an IExpressionCapabilities interface describing the provider's support for expressions.
__property OSGeo::FDO::Connections::Capabilities::IFilterCapabilities * | get_FilterCapabilities ()
| Gets an IFilterCapabilities interface describing the provider's support for filters.
__property OSGeo::FDO::Connections::Capabilities::IGeometryCapabilities * | get_GeometryCapabilities ()
| Gets an IGeometryCapabilities interface describing the provider's support for geometry.
__property OSGeo::FDO::Connections::Capabilities::IRasterCapabilities * | get_RasterCapabilities ()
| Gets an IRasterCapabilities interface describing the provider's support for raster images.
__property OSGeo::FDO::Connections::Capabilities::ISchemaCapabilities * | get_SchemaCapabilities ()
| Gets an ISchemaCapabilities interface describing the provider's support for the feature schema.
__property OSGeo::FDO::Connections::Capabilities::ITopologyCapabilities * | get_TopologyCapabilities ()
| Gets an ITopologyCapabilities interface describing the provider's support for topology.
OSGeo::FDO::Connections::ConnectionState | Open ()
| Opens a feature connection with the settings specified by the ConnectionString attribute of the provider-specific feature connection object.
__property System::Void | set_Configuration (OSGeo::FDO::Common::Io::IoStream *configStream)
| Sets the XML configuration stream used to configure the Data Store. SetConfiguration can only be called while the connection is closed.
__property System::Void | set_ConnectionString (System::String *value)
| Sets the connection string used to open a DataStore. SetConnectionString can only be set while the connection is closed.
__property System::Void | set_ConnectionTimeout (System::Int32 value)
| Sets the number of milliseconds to wait while trying to establish a connection before terminating the attempt and generating an error. If the provider does not support the timeout capability then attempting to set a timeout will result in an exception.